For the complete documentation index, see llms.txt. This page is also available as Markdown.

Listing quotes

List quotes

GET /api/public/v1/exchange/quotes

This endpoint lists quotes.

Headers

Name
Value

Content-Type

application/vnd.api+json

Authorization

Bearer <api_token>

URL Parameters

Name
Type
Description

order

string

Order in which the list of transactions should be returned. Can be created_at.

order_type

string

Order type. Can be either asc or desc.

page

number

Page for which you want to return transactions.

per_page

number

Number of transactions per page to return.

created_at_from

string

Date and time filter. Supports timestamps in ISO 8601 format, e.g. 2024-06-18T15:49:02.031Z.

created_at_to

string

Date and time filter. Supports timestamps in ISO 8601 format, e.g. 2024-06-18T15:49:02.031Z.

Response

{
  "data": [
    {
      "id": "d00edf6e-aa93-4461-ba0b-ebc9055e9e1b",
      "type": "exchangeQuotes",
      "attributes": {
        "expiresAt": "2025-05-23T09:49:47.431Z",
        "amountCharged": "0.0010418",
        "amountReceived": "100.0",
        "rate": "96947.532",
        "exchangeFee": "1.00",
        "exchangeFeeCurrency": "EUR",
        "rateCurrency": "EUR",
        "accountChargedId": "5850abb7-0a60-4041-800c-1d43b4dcf4d6",
        "accountReceivedId": "acd50522-de49-4aaa-a183-dc046ff27fd5",
        "status": "completed",
        "amountChargedCurrency": "BTC",
        "amountReceivedCurrency": "EUR"
      },
      "relationships": {
        "exchangeOrder": {
          "data": {
            "type": "orders",
            "id": "44f5d889-1532-4846-ad8d-3796de9cf49d"
          }
        },
        "transactions": {
          "data": [
            {
              "type": "transactions",
              "id": "2e262dba-3b58-4e55-81cc-b2201b4994d0"
            },
            {
              "type": "transactions",
              "id": "2dba06a9-6289-48c6-9456-1580bcfcefc5"
            }
          ]
        }
      }
    }
  ],
  "included": [
    {
      "id": "44f5d889-1532-4846-ad8d-3796de9cf49d",
      "type": "orders",
      "attributes": {
        "baseCode": "BTC",
        "quoteCode": "EUR",
        "quantity": "0.0010418"
      }
    },
    {
      "id": "2e262dba-3b58-4e55-81cc-b2201b4994d0",
      "type": "transactions",
      "attributes": {
        "createdAt": "2025-05-23T09:49:20.497Z",
        "simplifiedState": "completed",
        "transactionType": "ExchangeTransaction",
        "amount": "-0.00104180",
        "currency": "BTC",
        "balance": null,
        "reference": null,
        "accountId": "5850abb7-0a60-4041-800c-1d43b4dcf4d6"
      },
      "relationships": {
        "account": {
          "meta": {
            "included": false
          }
        },
        "transactionDetails": {
          "meta": {
            "included": false
          }
        }
      }
    },
    {
      "id": "2dba06a9-6289-48c6-9456-1580bcfcefc5",
      "type": "transactions",
      "attributes": {
        "createdAt": "2025-05-23T09:49:20.508Z",
        "simplifiedState": "completed",
        "transactionType": "ExchangeTransaction",
        "amount": "100.00",
        "currency": "EUR",
        "balance": null,
        "reference": null,
        "accountId": "acd50522-de49-4aaa-a183-dc046ff27fd5"
      },
      "relationships": {
        "account": {
          "meta": {
            "included": false
          }
        },
        "transactionDetails": {
          "meta": {
            "included": false
          }
        }
      }
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 1,
    "total": 1561
  },
  "jsonapi": {
    "version": "1.0"
  }
}

Response Body

Name
Type
Description

data[].id

string

Quote ID.

data[].type

string

Entity type returned. Always exchangeQuotes.

data[].attributes

object

A set of quote attributes.

data[].attributes.amountCharged

string

Amount to be debited from your accountChargedId.

data[].attributes.amountChargedCurrency

string

Account charged currency code.

data[].attributes.amountReceivedCurrency

string

Account received currency code.

data[].attributes.amountReceived

string

Amount to be credited to your accountReceivedId.

data[].attributes.rate

string

Exchange rate.

data[].attributes.status

string

One of: pending, completed, expired, or failed. Note: A transaction with status failed can be updated to completed via a support request.

data[].attributes.rateCurrency

string

Exchange rate currency code.

data[].attributes.exchangeFee

string

Txn fee amount.

data[].attributes.exchangeFeeCurrency

string

Fee currency code.

data[].attributes.expiresAt

string

Quote expiry timestamp.

meta.page

number

Current page number.

meta.per_page

number

Page size used for the response.

meta.total

number

Total number of quotes matching the query.

Last updated